# Class: YARD::Parser::Ruby::ModuleNode

Inherits:
  KeywordNode
  - Object
  - Array
  - AstNode
  - KeywordNode
  - YARD::Parser::Ruby::ModuleNode
  show all

Defined in:
  lib/yard/parser/ruby/ast_node.rb

## Managing node state collapse

- #block ⇒ Object
- #module_name ⇒ Object

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::AstNode

## Instance Method Details

### #block ⇒ `Object`

    539

    # File 'lib/yard/parser/ruby/ast_node.rb', line 539

    def block; last end

### #module_name ⇒ `Object`

    538

    # File 'lib/yard/parser/ruby/ast_node.rb', line 538

    def module_name; first end